libserf-dev_1.3.8-1_amd64.deb


Advertisement

Description

libserf-dev - high-performance asynchronous HTTP client library headers

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libserf-dev
Package version 1.3.8
Package release 1
Package architecture amd64
Package type deb
Installed size 341 B
Download size 80.21 KB
Official Mirror ftp.br.debian.org
serf library is a C-based HTTP client library built upon the Apache
Portable Runtime (APR) library.  It multiplexes connections, running the
read/write communication asynchronously.  Memory copies and
transformations are kept to a minimum to provide high performance
operation.
This package contains development headers for serf.

Alternatives

Package Version Architecture Repository
libserf-dev_1.3.8-1_i386.deb 1.3.8 i386 Debian Main
libserf-dev - - -

Requires

Name Value
libapr1-dev -
libaprutil1-dev -
libserf-1-1 = 1.3.8-1

Download

Type URL
Binary Package libserf-dev_1.3.8-1_amd64.deb
Source Package serf

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libserf-dev deb package:
    # sudo apt-get install libserf-dev

Files

Path
/usr/include/serf-1/serf.h
/usr/include/serf-1/serf_bucket_types.h
/usr/include/serf-1/serf_bucket_util.h
/usr/lib/x86_64-linux-gnu/libserf-1.a
/usr/lib/x86_64-linux-gnu/libserf-1.so
/usr/lib/x86_64-linux-gnu/pkgconfig/serf-1.pc
/usr/share/doc/libserf-dev
/usr/share/doc/libserf-1-1/README
/usr/share/doc/libserf-1-1/design-guide.txt.gz
/usr/share/doc/libserf-1-1/examples/serf_bwtp.c.gz
/usr/share/doc/libserf-1-1/examples/serf_get.c.gz
/usr/share/doc/libserf-1-1/examples/serf_request.c
/usr/share/doc/libserf-1-1/examples/serf_response.c.gz
/usr/share/doc/libserf-1-1/examples/serf_server.c
/usr/share/doc/libserf-1-1/examples/serf_spider.c.gz

Changelog

2014-12-04 - James McCoy <jamessan@debian.org>
serf (1.3.8-1) unstable; urgency=medium
* New upstream release
- Disable SSLv2 and SSLv3
* Backport r2445 from upstream to fix potential memory allocation failures
in the test suite.
* Backport r2443 from upstream to fix a compile failure in the test suite.
2014-11-17 - James McCoy <jamessan@debian.org>
serf (1.3.7-3) unstable; urgency=medium
* Specify the proper prefix/libdir when building libserf-1.pc.
(Closes: LP: #1388271)
2014-11-09 - James McCoy <jamessan@debian.org>
serf (1.3.7-2) unstable; urgency=medium
* debian/control:
+ Bump versioned Build-Depends on scons >= 2.3.1-2 to ensure we have an
scons which can understand krb5-config's use of -isystem (c.f., #760804).
+ Add libssl-dev/zlib1g-dev to Build-Depends as they're needed to build
and no longer transitively pulled in.  (Closes: #768664)
2014-08-12 - James McCoy <jamessan@debian.org>
serf (1.3.7-1) unstable; urgency=medium
* New upstream release
+ Includes security fix:
- CVE-2014-3504: Improper validation of certificate with host mismatch
(Closes: #757965)
* control: Pre-Depend on ${misc:Pre-Depends} instead of hard-coding
multiarch-support.
* control: Add Vcs-* fields.
2014-06-13 - James McCoy <jamessan@debian.org>
serf (1.3.6-1) unstable; urgency=medium
* New upstream release
2014-04-28 - James McCoy <jamessan@debian.org>
serf (1.3.5-1) unstable; urgency=medium
* New upstream release
+ Update test certificates.  Fixes FTBFS.  (Closes: #746129)
* debian/rules: Specify PREFIX/LIBDIR only when running “scons install”.
They're unnecessary for the other scons calls, but mandatory for the
install target, otherwise the install tries to use upstream defaults.
* debian/watch: Scrape https://code.google.com/p/serf/ instead of the
download page since the download page isn't being updated.
2014-03-04 - James McCoy <jamessan@debian.org>
serf (1.3.4-2) unstable; urgency=medium
* Enable Kerberos/GSSAPI support (Closes: #740717)
+ d/control: Add libkrb5-dev
+ d/rules: Tell scons where to find GSSAPI
* Link with -Wl,--as-needed to avoid unnecessary dependencies
2014-02-09 - James McCoy <jamessan@debian.org>
serf (1.3.4-1) unstable; urgency=medium
* New upstream version
* Bump Standards-Version to 3.9.5
2013-12-31 - James McCoy <jamessan@debian.org>
serf (1.3.3-1) unstable; urgency=low
* Add myself to Uploaders.
* Change the watch file to better handle code.google.com.
* New upstream release.  (Closes: #716793)
+ Refresh patches/libtool
+ Update symbols
* Adapt packaging for the upstream switch to SCons.
+ control: + scons, - autotools-dev, autoconf
+ rules: Change configure/make calls to scons
* Rename libserf1 to libserf-1-1, following standard naming conventions.
* Enable hardening flags.
* Strip unnecessary RPATH from libserf.
* Honor DEB_BUILD_OPTIONS=parallel=X
2012-06-09 - Peter Samuelson <peter@p12n.org>
serf (1.1.0-2) unstable; urgency=low
* Upload to unstable.
* Add another lintian override.
* Make libserf1-dbg M-A: same as well.

See Also

Package Description
libserializer-java_1.1.6-4_all.deb general serializaton framework
libserialport-dev_0.1.0-1_amd64.deb Crossplatform serial port handling library - development files
libserialport0_0.1.0-1_amd64.deb Crossplatform serial port handling library - shared library
libserp-java-doc_1.14.1-2_all.deb Documentation for libserp-java
libserp-java_1.14.1-2_all.deb Java Virtual Machine bytecode manipulation framework
libserver-starter-perl_0.17-2_all.deb superdaemon for hot-deploying Perl server programs
libservice-wrapper-doc_3.5.22-2_all.deb Jar daemon wrapper (javadoc files)
libservice-wrapper-java_3.5.22-2_all.deb Jar daemon wrapper java libraries
libservice-wrapper-jni_3.5.22-2_amd64.deb Jar daemon wrapper JNI libraries
libservlet2.5-java-doc_6.0.45+dfsg-1~deb8u1_all.deb Servlet 2.5 and JSP 2.1 Java API documentation
libservlet2.5-java_6.0.45+dfsg-1~deb8u1_all.deb Servlet 2.5 and JSP 2.1 Java API classes
libservlet3.0-java-doc_7.0.56-3+deb8u11_all.deb Servlet 3.0 and JSP 2.2 Java API documentation
libservlet3.0-java_7.0.56-3+deb8u11_all.deb Servlet 3.0 and JSP 2.2 Java API classes
libservlet3.1-java-doc_8.0.14-1+deb8u11_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API documentation
libservlet3.1-java_8.0.14-1+deb8u11_all.deb Servlet 3.1, JSP 2.3, EL 3.0 and WebSocket 1.0 Java API classes
Advertisement
Advertisement